net.minecraft.network.rcon

## Class RConThreadBase

- java.lang.Object
- - net.minecraft.network.rcon.RConThreadBase

- All Implemented Interfaces:
    java.lang.Runnable
  Direct Known Subclasses:
    RConThreadClient, RConThreadMain, RConThreadQuery

      public abstract class RConThreadBase
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `field_164003_c`
    `protected int` | `field_72615_d`
    `protected java.lang.Thread` | `rconThread`
    `protected boolean` | `running`
    `protected IServer` | `server`
    `protected java.util.List` | `serverSocketList`
    `protected java.util.List` | `socketList`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RConThreadBase(IServer p_i45300_1_, java.lang.String p_i45300_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `closeAllSockets_do(boolean par1)`
    `protected void` | `closeAllSockets()`
    `protected boolean` | `closeServerSocket_do(java.net.ServerSocket par1ServerSocket, boolean par2)`
    `protected boolean` | `closeServerSocket(java.net.ServerSocket par1ServerSocket)`
    `protected boolean` | `closeSocket(java.net.DatagramSocket par1DatagramSocket, boolean par2)`
    `protected int` | `getNumberOfPlayers()`
    `boolean` | `isRunning()`
    `protected void` | `logDebug(java.lang.String par1Str)`
    `protected void` | `logInfo(java.lang.String par1Str)`
    `protected void` | `logSevere(java.lang.String par1Str)`
    `protected void` | `logWarning(java.lang.String par1Str)`
    `protected void` | `registerSocket(java.net.DatagramSocket par1DatagramSocket)`
    `void` | `startThread()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Runnable

      `run`

- - ### Field Detail

    - #### running

          protected boolean running

    - #### server

          protected IServer server

    - #### field_164003_c

          protected final java.lang.String field_164003_c

    - #### rconThread

          protected java.lang.Thread rconThread

    - #### field_72615_d

          protected int field_72615_d

    - #### socketList

          protected java.util.List socketList

    - #### serverSocketList

          protected java.util.List serverSocketList

  - ### Constructor Detail

    - #### RConThreadBase

          protected RConThreadBase(IServer p_i45300_1_,
                        java.lang.String p_i45300_2_)

  - ### Method Detail

    - #### startThread

          public void startThread()

    - #### isRunning

          public boolean isRunning()

    - #### logDebug

          protected void logDebug(java.lang.String par1Str)

    - #### logInfo

          protected void logInfo(java.lang.String par1Str)

    - #### logWarning

          protected void logWarning(java.lang.String par1Str)

    - #### logSevere

          protected void logSevere(java.lang.String par1Str)

    - #### getNumberOfPlayers

          protected int getNumberOfPlayers()

    - #### registerSocket

          protected void registerSocket(java.net.DatagramSocket par1DatagramSocket)

    - #### closeSocket

          protected boolean closeSocket(java.net.DatagramSocket par1DatagramSocket,
                            boolean par2)

    - #### closeServerSocket

          protected boolean closeServerSocket(java.net.ServerSocket par1ServerSocket)

    - #### closeServerSocket_do

          protected boolean closeServerSocket_do(java.net.ServerSocket par1ServerSocket,
                                     boolean par2)

    - #### closeAllSockets

          protected void closeAllSockets()

    - #### closeAllSockets_do

          protected void closeAllSockets_do(boolean par1)